# Interface Options

Type for transaction options, including Quorum-specific ones (privateFor) and Truffle-specific ones (overwrite)

#### Category

Interfaces

#### Hierarchy

- Options

- Defined in codec/lib/common/types.ts:65

#####
Index

### Properties

accessList?
data?
from?
gas?
gasPrice?
maxFeePerGas?
maxPriorityFeePerGas?
nonce?
overwrite?
privateFor?
to?
type?
value?

## Properties

### `Optional` accessList

accessList?: AccessList

- Defined in codec/lib/common/types.ts:98

### `Optional` data

data?: string

This should be a bytestring (even-length hex string, with "0x")

- Defined in codec/lib/common/types.ts:90

### `Optional` from

from?: string

This should be an address

- Defined in codec/lib/common/types.ts:77

### `Optional` gas

gas?: BN

- Defined in codec/lib/common/types.ts:82

### `Optional` gasPrice

gasPrice?: BN

- Defined in codec/lib/common/types.ts:83

### `Optional` maxFeePerGas

maxFeePerGas?: BN

- Defined in codec/lib/common/types.ts:84

### `Optional` maxPriorityFeePerGas

maxPriorityFeePerGas?: BN

- Defined in codec/lib/common/types.ts:85

### `Optional` nonce

nonce?: BN

- Defined in codec/lib/common/types.ts:91

### `Optional` overwrite

overwrite?: boolean

Truffle-specific

- Defined in codec/lib/common/types.ts:107

### `Optional` privateFor

privateFor?: string[]

Quorum-specific; this should be an array of base64-encoded strings, each of which encodes a 32-byte bytestring

- Defined in codec/lib/common/types.ts:103

### `Optional` to

to?: string

This should be an address

- Defined in codec/lib/common/types.ts:81

### `Optional` type

type?: string

This represents a number, but for compatibility purposes it should be given as a hex string. It should be in the range of 0x00 to 0xbf.

- Defined in codec/lib/common/types.ts:97

### `Optional` value

value?: BN

- Defined in codec/lib/common/types.ts:86

Generated using TypeDoc